apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: graylog-single-0.0.3
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: graylog-single
      name: graylog-single
      podspec:
        containers:
          - image: aep/aos/jammy/aep
            name: graylog
      provides:
        - exposed: true
          name: graylog
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
              - name: https
                port: 443
                protocol: TCP
      sizing:
        increment: 1
        initial: 1
        maximum: 1
        minimum: 1
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.5.0
  name: graylog-single
  settings:
    - name: environment
      schema:
        default: graylog_prod
  version: 0.0.3
